import javax.swing.table.AbstractTableModel;

/**
 * Classe che rappresenta il modello di dati
 *
 */
public class ContattiTableModel extends AbstractTableModel 
{
	
	/**
	 * Default serial version
	 */
	private static final long serialVersionUID = 1L;
	private Contatto[] arrayContatti; 
	
	/** 
	 * Costruttore
	 * @param a Array di Contatti
	 */
	public ContattiTableModel(Contatto a[])
	{
		this.arrayContatti = a;
	}

	// Opzionali
	public int getColumnCount() 
	{
		return 4;
	}

	public int getRowCount() 
	{
		return arrayContatti.length;
	}

	/**
	 * Metodo per la ricerca di un contatto
	 * @param row Riga
	 * @param col Colonna
	 */
	public Object getValueAt(int row, int col) 
	{
		//String s = null;
		switch (col) 
		{
			case 0: return arrayContatti[row].nome;
			case 1: return arrayContatti[row].cognome;
			case 2: return arrayContatti[row].indirizzo;
			case 3: return arrayContatti[row].telefono;
		}
		return "";
	}

}
